<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+------------------------------------------------------
| Original code by pirdani/pirdani@pirdani.de
| Adapted for PHP-Fusion v. 6.0 by:
| janmol/janm@janm.dk & paulsson/paulsson@php-fusion.se
+----------------------------------------------------+
| Modified Artur Wiebe 2006 <wibix@gmx.de>
| http:/wibix.de
+----------------------------------------------------+*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if(!iMEMBER) {
	fallback("calendar.php");
}


if(file_exists(INFUSIONS."calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."calendar_panel/locale/English.php";
}

require_once "common.php";


if(isset($_POST['save'])) {
	unset($id);
	if(isset($_POST['id'])) {
		if(isNum($_POST['id'])) {
			$id = $_POST['id'];
		} else {
			fallback("calendar.php");
		}
	}

	$desc = stripinput($_POST['beschreibung']);
	$title = stripinput($_POST['title']);
	$tag = $_POST['tag'];
	$monat = $_POST['monat'];
	$jahr = $_POST['jahr'];
	$stunden = $_POST['stunden'];
	$minuten = $_POST['minuten'];
	$rep_year = $_POST['jaehrlich'];
	$private = $_POST['privat'];
	$user_id = $userdata['user_id'];
	$datestamp = time();

	if(isset($id)) {
		$query = "UPDATE ".DB_PREFIX."kalender"
			." SET edit_user_id='$user_id'"
			.",edit_datestamp='$datestamp'"
			.",title='$title', text='$desc'"
			.",tag='$tag', monat='$monat', jahr='$jahr'"
			.",stunden='$stunden', minuten='$minuten'"
			.",rep_year='".$rep_year."', privat='$privat'"
			." WHERE id='$id'";
	} else {
		$query = "INSERT INTO ".DB_PREFIX."kalender"
			."(user_id, title, text, tag, monat"
			.",jahr, stunden, minuten, datestamp"
			.",rep_year, privat)"
			." VALUES "
			."('$user_id', '$title', '$desc', '$tag', '$monat'"
			.",'$jahr', '$stunden', '$minuten', '$datestamp'"
			.",'$rep_year', '$privat')";
	}
	if(dbquery($query)) {
		fallback("calendar.php".(isset($id) ? "?show_id=$id" : ""));
	}

} elseif(isset($_GET['delete_id']) && isNum($_GET['delete_id'])) {
	$result = dbquery("DELETE FROM ".DB_PREFIX."kalender"
		." WHERE id='".$_GET['delete_id']."'");
	if($result) {
		fallback("calendar.php");
	}
}


/*
 * GUI
 */
elseif(isset($_GET['new'])
	|| (isset($_GET['edit_id'])&&isNum($_GET['edit_id']))) {

	if(isset($_GET['edit_id'])) {
		$id = $_GET['edit_id'];
	} else {
		unset($id);
	}

	$monate[1] = $locale['k20'];
	$monate[2] = $locale['k21'];
	$monate[3] = $locale['k22'];
	$monate[4] = $locale['k23'];
	$monate[5] = $locale['k24'];
	$monate[6] = $locale['k25'];
	$monate[7] = $locale['k26'];
	$monate[8] = $locale['k27'];
	$monate[9] = $locale['k28'];
	$monate[10] = $locale['k29'];
	$monate[11] = $locale['k30'];
	$monate[12] = $locale['k31'];


	if(isset($id)) {
		$event = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."kalender"
			." WHERE id='$id'"));
		$edittitel = $event['title'];
		$edittext = $event['text'];
		$edittag = $event['tag'];
		$editmonat = $event['monat'];
		$editjahr = $event['jahr'];
		$editstunden = $event['stunden'];
		$editminuten = $event['minuten'];
		$edityear = $event['year'];
		$editprivat = $event['privat'];
	} else {
		$edittitel = "";
		$edittext = "";
		$edittag = date("d");
		$editmonat = date("n");
		$editjahr = date("Y");
		$editstunden = "0";
		$editminuten = "00";
		$edityear = "Y";
		$editprivat = "N";
	}

	opentable($locale['k130']);
	echo "
	<div align='center'><a href='calendar.php?show_id=$id'>"
		.$locale['k186']."</a></div>
<form action='".FUSION_SELF."' method='post'>
	<table align='center' class='tbl-border' width='100%' cellspacing='1'>
<tr>
	<td width='200' class='tbl2'>".$locale['k103']
		."<br/><span class='small2'>".$locale['k104']."</span></td>
	<td colspan='2' class='tbl1'><input value='$edittitel' type='text'"
		." name='title' class='textbox' style='width:100%;'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['k105']."<br /><span class='small2'>"
		.$locale['k106']."</span></td>
	<td colspan='2' class='tbl1'><textarea name='beschreibung' rows='8'"
		." class='textbox' style='width:100%;'>".$edittext
		."</textarea></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['k107']."<br/><span class='small2'>"
		.$locale['k108']."</span></td>
	<td colspan='2' class='tbl1'><select class='textbox' name='tag' size='1'>";
	for($i=1; $i<32; $i++) {
		echo "<option".($edittag==$i ? " selected" : "").">"
			.$i."</option>";
	}
	echo "
	</select>
	<select class='textbox' name='monat' size='1'>";
	for($i=1; $i<13; $i++) {
		echo "<option value='$i'".($editmonat==$i ? " selected>" : "")
			.$monate[$i]."</option>";
	}
	echo "
	</select>
	<select class='textbox' name='jahr' size='1'>";
	for($i=0; $i<6; $i++) {
		echo "<option".($editjahr==((date("Y"))+$counter)
			? " selected" : "")
			.">".((date("Y") )+$counter)."</option>";
	}
	echo "
	</select>
	</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['k109']."<br/><span class='small2'>"
		.$locale['k110']."</span></td>
	<td class='tbl1' colspan='2'><select class='textbox' name='stunden'"
		." size='1'>";
	for($i=0; $i<24; $i++) {
		echo "<option".($editstunden==$i ? " selected" : "").">"
			.$i."</option>";
	}
       echo "
       </select> :
       <select class='textbox' name='minuten' size='1'>";
       echo "<option".($editminuten=="00" ? " selected" : "").">00</option>\n";
       echo "<option".($editminuten=="15" ? " selected" : "").">15</option>\n";
       echo "<option".($editminuten=="30" ? " selected" : "").">30</option>\n";
       echo "<option".($editminuten=="45" ? " selected" : "").">45</option>\n";
       echo "
       </select>
       </td>
</tr>
<tr>
	<td class='tbl2'>".$locale['k115']."</td>
	<td class='tbl1'><input type='radio' name='jaehrlich' value='Y'"
		.($edityear=="N" ? "" : " checked").">".$locale['k131']."</td>
	<td class='tbl1'><input type='radio' name='jaehrlich' value='N'"
		.($edityear=="N" ? " checked" : "").">".$locale['k132']."</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['k113']."<br /><span class='small2'>"
		.$locale['k114']."</span></td>
	<td class='tbl1'><input type='radio' name='privat' value='Y'"
		.($editprivat=="N" ? "": " checked").">".$locale['k131']."</td>
	<td class='tbl1'><input type='radio' checked name='privat' value='N'"
		.($editprivat=="N" ? " checked" : "").">".$locale['k132']."</td>
</tr>
<tr>
	<td class='tbl2'>".(isset($id)
		? "<input type='hidden' name='id' value='$id'>"
		: "")."</td>
	<td class='tbl2' colspan='2'><input type='submit' name='save'"
		." class='button' value='".$locale['k135']."'></td>
</tr>
</table>
</form>";
	closetable();

} else {
	fallback("calendar.php");
}


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
