<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+-----------------------------------------------------
| Original code by pirdani/pirdani@pirdani.de 
| Adapted for PHP-Fusion v. 6.0 by:
| janmol/janm@janm.dk & paulsson/paulsson@php-fusion.se
+----------------------------------------------------+
| Modified Artur Wiebe 2006 <wibix@gmx.de>
| http:/wibix.de
+----------------------------------------------------+*/
if(!defined("IN_FUSION")) {
	header("Location:../../index.php");
	exit;
}

if(file_exists(INFUSIONS."calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."calendar_panel/locale/English.php";
}

require_once(INFUSIONS."calendar_panel/common.php");


?>
<body onload='setBallon("BallonTip");'>
<div id="BallonTip"
	style="POSITION:absolute; VISIBILITY:hidden; LEFT:-200px; Z-INDEX: 100">
</div>
<script type="text/javascript" src="<?php echo $settings['siteurl']; ?>infusions/calendar_panel/cross.js"></script>
<script type="text/javascript" src="<?php echo $settings['siteurl']; ?>infusions/calendar_panel/tooltips.js"></script>
<?php




$events_today = array();
$eventtag = date("j");
$eventmonat = date("n");
get_events($eventtag, $eventmonat, $events_today);


if(date("t")==date("d")) {
	$eventtag2 = 1;
	if(date("n")==12) {
		$eventmonat2 = 1;
	} else {
		$eventmonat2 = date("n")+1;
	}
} else {
	$eventtag2 = date("d")+1;
	$eventmonat2 = date("n");
}
$events_tomorrow = array();
get_events($eventtag2, $eventmonat2, $events_tomorrow);



$hoehepanel = "12";


//Overfrer vrdier fra sprogfilen
$wt[1] = $locale['k1'];
$wt[2] = $locale['k2'];
$wt[3] = $locale['k3'];
$wt[4] = $locale['k4'];
$wt[5] = $locale['k5'];
$wt[6] = $locale['k6'];
$wt[7] = $locale['k7'];

$monate[1] = $locale['k20'];
$monate[2] = $locale['k21'];
$monate[3] = $locale['k22'];
$monate[4] = $locale['k23'];
$monate[5] = $locale['k24'];
$monate[6] = $locale['k25'];
$monate[7] = $locale['k26'];
$monate[8] = $locale['k27'];
$monate[9] = $locale['k28'];
$monate[10] = $locale['k29'];
$monate[11] = $locale['k30'];
$monate[12] = $locale['k31'];

$kalmon = date("n");
$kaljah = date("Y");

$result = dbquery("SELECT panel_name FROM ".$db_prefix."panels"
	." WHERE panel_filename='calendar_panel'");
if(dbrows($result) != 0) {
	$data = dbarray($result);
	$panel_name = $data['panel_name'];
}


/*
 * GUI
 */
openside("$panel_name");

// Einfach nur Kalendermonatsblatt anzeigen mit allen Eintrgen
// Bestimmen was der Erste im Monat ist (So, Mo, Di, Mi, Do, Fr, Sa)
if(date("w", mktime(0,0,0,$kalmon,1,$kaljah))==0) {
	$day = 7;
} else {
	$day = date("w", mktime(0,0,0,$kalmon,1,$kaljah));
}

// Tabelle fr Kalender beginnen
// Monat ausgeben
echo "<div align='center'><a href='".INFUSIONS."calendar_panel/calendar.php'>".$locale['k101']."</a></div>
<table width='100%' class='tbl-border' cellspacing='1'>
<tr class='tbl2'>
	<td colspan='7' align='center'><a href='".INFUSIONS
		."calendar_panel/show_event.php?m_month=".date("n")."'>"
		.$monate[date("n")]."</a></td>
</tr>
<tr class='tbl2'>";
// Wochentage erstellen (als berschrift)
for($i=1; $i<8; $i++) {
       echo "<td align='center' width='14%'><b>".$wt[$i]."</b></td>\n";
}
echo "</tr>\n";


// Inhalt und Datum auslesen und im Array speichern
for($i=1; $i<43; ++$i) {
	$kzahl[$i] = "";
}
for($i=1; $i<(date("t")+1); $i++) {
	$kzahl[$day] = $i;

	$ret_array = array();
	$kainhalt[$day] = "";
	get_events($i, date("n"), $ret_array);
	foreach($ret_array as $ev) {
		$kainhalt[$day] .= "- ".$ev['title']."<br/>";
	}

	$day++;
}


//Kalenderzeilen erstellen
for($z=0; $z<6; $z++) {
	if(($kzahl[(($z*7)+1)]=="") && ($kzahl[(($z*7)+7)]=="")) {
		continue;
	}

	echo "<tr>\n";
	for($x=1; $x<8; $x++) {
		$y = (($z * 7) + $x);
		if($kzahl[$y]=="") {
			echo "<td height='$hoehepanel' class='tbl1'></td>\n";
			continue;
		}

		if($kainhalt[$y]=="") {	// no events!
			if($kzahl[$y]==date("d")) {	// current day
				echo "<td align='center' class='textbox'"
					." height='$hoehepanel'>"
					."<b>".$kzahl[$y]."</b></td>\n";
			} else {
				echo "<td align='center' height='$hoehepanel'"
					." class='tbl1'>".$kzahl[$y]."</td>\n";
			}

		} else {
			echo "<td height='$hoehepanel' align='center'"
				.($kzahl[$y]==date("d")
					? " class='textbox'"	// current day
					: " class='tbl1'")
				."><b><a onmouseover='showBallon(\""
					.addslash($kainhalt[$y])
					."\", 0, 200); return true;'"
					." onmouseout='hideBallon();"
					." return true;'>"
					.$kzahl[$y]."</a></b></td>\n";
		}
	}
	echo "</tr>\n";
}
//Luk kalendertabellen
echo "</table>\n";



// birthday
$my_month = date("n");
$my_day = date("j");
$query_id = dbquery("SELECT user_name, user_birthdate"
	." FROM ".DB_PREFIX."users"
	." WHERE MONTH(user_birthdate)='$my_month'"
	." AND DAYOFMONTH(user_birthdate)='$my_day'");
if(dbrows($query_id)) {
	echo "<br/><b>".$locale['k300'].":</b><br>";
	while($user = dbarray($query_id)) {
		echo $user['user_name']."<br/>";
	}
}


$bullet = "<img src='".THEME."images/bullet.gif'> ";
// today
if(count($events_today)) {
	echo "<br/><b>".$locale['k150']."</b><br>";
	foreach($events_today as $ev) {
		echo $bullet."<a href='".INFUSIONS
			."calendar_panel/calendar.php?show_id=".$ev['id']."'>"
			.$ev['title']."</a><br/>"
			."<span class='small2'>".trimlink($ev['text'], 256)
			."</span><br/>";
	}
}




// tomorrow
if(count($events_tomorrow)) {
	echo "<br/><b>".$locale['k151']."</b><br>";
	foreach($events_tomorrow as $ev) {
		echo $bullet.$ev['title']
			." (".$ev['stunden'].":".$ev['minuten'].")<br>";
	}
}
/* more?
//Viser fem nste
echo "<div align='center'>"
	."<a href='".INFUSIONS."calendar_panel/show_event.php?m_month=0'>"
	.$locale['k169']."</a></div>";
*/

closeside();
?>
